Bug 801933 - Task snapshots missing weight field in db
Task snapshots missing weight field in db
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
1.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: James Slagle
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-09 16:31 EST by James Slagle
Modified: 2012-05-25 10:16 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-25 10:16:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Slagle 2012-03-09 16:31:42 EST
The weight field was added at some point to the task snapshot model, but there was never a migration for it
Comment 1 James Slagle 2012-03-09 16:33:16 EST
db migration version 37
cherry picked into pulp_v1 95315f675291170de132fdeb3de32fd85fe2a820
Comment 2 Jeff Ortel 2012-03-09 20:32:42 EST
build: 0.273
Comment 3 Preethi Thomas 2012-04-18 11:19:13 EDT
 verified

[root@pulp-v1-1-server ~]# rpm -q pulp
pulp-1.1.2-1.fc16.noarch

[root@pulp-v1-1-server ~]# tail -f /var/log/pulp/db.log 
migrating 0 errata
migration to data model version 36 started
migration to data model version 36 complete
migration to data model version 37 started
migration to data model version 37 complete
migration to data model version 38 started
migration to data model version 38 complete
migration to data model version 39 started
Adding index on errata to Repo collection.
migration to data model version 39 complete
Comment 4 Preethi Thomas 2012-05-25 10:16:01 EDT
Pulp v1.1 Release

Note You need to log in before you can comment on or make changes to this bug.